tigase.jaxmpp.core.client.eventbus

## Class MultiEventBus

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.EventBus
  - - tigase.jaxmpp.core.client.eventbus.DefaultEventBus
    - - tigase.jaxmpp.core.client.eventbus.MultiEventBus

-     public class MultiEventBus
      extends DefaultEventBus

  Special implementation of `EventBus`. It collects all events from all registered EventBuses.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.DefaultEventBus

      `handlers, log, throwingExceptionOn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiEventBus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventBus(EventBus eventBus)` Adds `EventBus` to collector.
    `void` | `removeEventBus(EventBus eventBus)` Removes `EventBus` from collector.

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.DefaultEventBus

      `addHandler, addHandler, addListener, addListener, addListener, createHandlersArray, createMainHandlersMap, createTypeHandlersMap, doAdd, doFire, doFire, fire, fire, getHandlersList, isThrowingExceptionOn, remove, remove, remove, setThrowingExceptionOn`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.EventBus

      `setEventSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiEventBus

          public MultiEventBus()

  - ### Method Detail

    - #### addEventBus

          public void addEventBus(EventBus eventBus)

      Adds `EventBus` to collector. All events from this `EventBus` will be dispatched to handlers registered in this `MultiEventBus` instance.
      Parameters:
        `eventBus` - `EventBus` to register.

    - #### removeEventBus

          public void removeEventBus(EventBus eventBus)

      Removes `EventBus` from collector.
      Parameters:
        `eventBus` - `EventBus` to remove.

Copyright © 2006–2016 Tigase. All rights reserved.